#include <stdint.h>
#include "exo_hal_common.h"
#include "exo_ahw_al_common.h"
#include "exo_ahw_al_data_logger_common.h"


hal_ret_sts ahw_vdp_dl_ad7291_init(ahw_al_ad7291_hdl* al_dl_h);
hal_ret_sts ahw_vdp_dl_ad7291_get_voltage_convertion(ahw_al_ad7291_hdl* al_dl_h,adc_channel_id chnl,float *data);
hal_ret_sts ahw_vdp_dl_ad7291_gettemperature(ahw_al_ad7291_hdl* al_dl_h,float *temperature);
hal_ret_sts ahw_vdp_data_logger_self_test(ahw_al_ad7291_hdl* hdata);

